classification
Title: Blake 2 module update
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: David Carlier, christian.heimes, corona10, methane, miss-islington, petr.viktorin, vstinner
Priority: normal Keywords: patch

Created on 2018-03-28 09:04 by David Carlier, last changed 2021-03-30 07:07 by methane. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6286 merged David Carlier, 2018-03-28 09:04
PR 13633 merged David Carlier, 2019-05-28 17:51
PR 25060 merged methane, 2021-03-29 03:25
PR 25091 merged miss-islington, 2021-03-30 03:25
PR 25092 merged miss-islington, 2021-03-30 04:14
Messages (7)
msg343274 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-05-23 04:32
New changeset 51aa35e9e17eef60d04add9619fe2a7eb938358c by Inada Naoki (David Carlier) in branch 'master':
bpo-33164: update blake2 implementation (GH-6286)
https://github.com/python/cpython/commit/51aa35e9e17eef60d04add9619fe2a7eb938358c
msg343881 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-05-29 10:58
New changeset d8b755167235e0621814eb5ac39163b3db6879bb by Inada Naoki (David Carlier) in branch 'master':
bpo-33164: blake2 fix for HP-UX (GH-13633)
https://github.com/python/cpython/commit/d8b755167235e0621814eb5ac39163b3db6879bb
msg389502 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2021-03-25 14:43
This reverted commit 5940c535b06805960d008bcafec7260dae74d9b9
msg389504 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-03-25 14:57
> This reverted commit 5940c535b06805960d008bcafec7260dae74d9b9

Context of the memcpy/memove change: https://github.com/BLAKE2/BLAKE2/issues/32
msg389786 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-03-30 03:25
New changeset 068ebf9729d440cef03e4c57e3db83c851146172 by Inada Naoki in branch 'master':
bpo-33164: blake2: Fix Coverity scan (GH-25060)
https://github.com/python/cpython/commit/068ebf9729d440cef03e4c57e3db83c851146172
msg389787 - (view) Author: miss-islington (miss-islington) Date: 2021-03-30 03:47
New changeset 6af3a940ca827d9a59e34271e4c97d7ec7b56584 by Miss Islington (bot) in branch '3.8':
bpo-33164: blake2: Fix Coverity scan (GH-25060)
https://github.com/python/cpython/commit/6af3a940ca827d9a59e34271e4c97d7ec7b56584
msg389790 - (view) Author: miss-islington (miss-islington) Date: 2021-03-30 04:36
New changeset 05429c917c23f735b07ac4c60af20e57aad742fc by Miss Islington (bot) in branch '3.9':
bpo-33164: blake2: Fix Coverity scan (GH-25060)
https://github.com/python/cpython/commit/05429c917c23f735b07ac4c60af20e57aad742fc
History
Date User Action Args
2021-03-30 07:07:59methanesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-03-30 04:36:47miss-islingtonsetmessages: + msg389790
2021-03-30 04:14:38miss-islingtonsetpull_requests: + pull_request23837
2021-03-30 03:47:15miss-islingtonsetmessages: + msg389787
2021-03-30 03:25:54miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23836
2021-03-30 03:25:36methanesetmessages: + msg389786
2021-03-29 03:25:49methanesetstage: needs patch -> patch review
pull_requests: + pull_request23808
2021-03-25 15:59:23corona10setnosy: + corona10
2021-03-25 15:07:47christian.heimessetstatus: closed -> open
type: behavior
resolution: fixed -> (no value)
stage: resolved -> needs patch
2021-03-25 14:57:25vstinnersetnosy: + vstinner
messages: + msg389504
2021-03-25 14:43:07petr.viktorinsetnosy: + petr.viktorin
messages: + msg389502
2019-05-29 10:58:13methanesetmessages: + msg343881
2019-05-28 17:51:15David Carliersetpull_requests: + pull_request13533
2019-05-23 04:33:52methanesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-23 04:33:42methanesetpull_requests: - pull_request7043
2019-05-23 04:32:50methanesetnosy: + methane
messages: + msg343274
2018-06-05 09:28:32David Carliersetkeywords: + patch
stage: patch review
pull_requests: + pull_request7043
2018-03-28 11:58:11pitrousetnosy: + christian.heimes
2018-03-28 09:04:44David Carliercreate